Bug 194591 - mc hangs when copying file with no read perm over fish
mc hangs when copying file with no read perm over fish
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 05:19 EDT by Leonard den Ottolander
Modified: 2013-07-02 19:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 03:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2006-06-14 05:19:59 EDT
Original report by stsp at aknet dot ru (got lost due to bugzilla crash)

Description of problem:
If I try to copy the file over the ssh connection (fish) for
which there is no read permission, mc hangs.

Version-Release number of selected component (if applicable):
mc-4.6.1a-13.FC5

How reproducible:
always

Steps to Reproduce:
1. Make an ssh connection with mc, log is as user, not root
2. Try to read/copy some file, like /etc/shadow, for which you
don't have the read permission.
  
Actual results:
mc hangs

Expected results:
mc displays the "permission denied" error.
Comment 1 Leonard den Ottolander 2006-06-14 05:20:52 EDT
Back trace (line numbers may differ slightly):

0x00f5d402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00f5d402 in __kernel_vsyscall ()
#1  0x005d9a83 in __read_nocancel () from /lib/libc.so.6
#2  0x080b4530 in fish_linear_read (me=0x80fdbc0, fh=0x90e0230, buf=0x91004d0, 
    len=Variable "len" is not available.
) at fish.c:677
#3  0x080b8d4c in vfs_s_read (fh=0x90e0230, 
    buffer=0x91004d0 "### 200\nonard/tmp.mc/shadow", count=8192)
    at direntry.c:820
#4  0x080bc24a in mc_read (handle=104, buffer=0x91004d0, count=8192)
    at vfs.c:392
#5  0x080666e7 in copy_file_file (ctx=0x90dda10, 
    src_path=0x90f5840 "/#sh:leonard@localhost/etc/shadow", 
    dst_path=0x90de558 "/home/leonard/tmp.mc/shadow", ask_overwrite=1, 
    progress_count=0xbf86c938, progress_bytes=0xbf86c930, is_toplevel_file=1)
    at file.c:660
#6  0x08067d8c in panel_operate (source_panel=0x90d2d78, operation=OP_COPY, 
    force_single=0) at file.c:1891
#7  0x0805c453 in copy_cmd () at cmd.c:310
#8  0x08093333 in buttonbar_call (bb=Variable "bb" is not available.
) at widget.c:2282
#9  0x08093521 in buttonbar_callback (w=0x90e8728, msg=WIDGET_HOTKEY, 
    parm=1005) at widget.c:2304
#10 0x08061d23 in dlg_process_event (h=0x90d22f0, key=1005, event=0xbf86ca14)
    at dialog.c:614
#11 0x080620e0 in run_dlg (h=0x90d22f0) at dialog.c:785
#12 0x08076cb5 in main (argc=1, argv=0xbf86dc34) at main.c:1688
Comment 2 Leonard den Ottolander 2006-06-14 05:21:18 EDT
On Sun, 2006-06-11 at 18:29 +0300, Pavel Tsekov wrote:
> I have a patch for this issue for quite some time.
> It just needs to be polished a bit. I'll try to
> post it in the next few days.
Comment 3 Jindrich Novy 2006-09-21 03:48:50 EDT
Should be fixed by the current mc in FC5. Please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.